'Uncovered Interest Rate Parity

'create workfile
	close @all
	rndseed 12345
	wfcreate(page=uip) a 2000 2020

'create actuals and baseline
	smpl @all
	genr e =10 
	genr rdiff = 0

'specify model
	model m
  	m.append log(e/e(+1)) 	= rdiff	

'shift exogenous variable
	copy rdiff rdiff_1
	smpl 2002 2010
	rdiff_1 = rdiff_1+1/100

'create scenario and solve model
	m.scenario(n,alias=_1) uip
	m.override  rdiff
	smpl 2001 @last-1
	solveMCE m

'plot response
	smpl  @all
	graph graph.line() 100*(e_1/e-1)
	show graph



